//info: Footer component to display the footer of a page where the buttons are placed
import React from "react";

/**
 * Footer component.
 *
 * @param {Object} props - The component props.
 * @param {React.ReactNode} props.children - The children elements to render inside the footer (buttons).
 * @returns {JSX.Element} The rendered footer component.
 */
function Footer({ children }: { children: React.ReactNode }): JSX.Element {
  return (
    <footer className="bg-white">
      <div className="flex justify-end items-center h-16 space-x-6 pr-6">
        {children}
      </div>
    </footer>
  );
}

export default Footer;
